<template>
	<view>
		<cu-custom bgColor="bg-gradual-blueness" :isBack="true" :isRingt="true">
			<block slot="backText">返回</block>
			<block slot="content">安全环保检查发起</block>
			<block slot="right">
				<view @click="$noMultipleClicks(goToAdd)">发起</view>
			</block>
		</cu-custom>
		<view class="select-fixed top-fixed">
			<view class="cu-bar search bg-white">
				<picker @change="statusChange"  :value="sindex" :range="statusList" range-key="name">
					<view class="saixuan">
						<text>筛选</text>
						<text class="cuIcon-triangledownfill"></text>
					</view>
				</picker>
				<view class="search-form radius" style="margin-left: 0;">
					<text class="cuIcon-search"></text>
					<input @input="InputBlur" placeholder="请输入被检查单位部门关键字"
					confirm-type="search" />

				</view>
				<view class="action">
					<button class="cu-btn bg-green shadow-blur radius" @click="getQuery">搜索</button>
				</view>
			</view>
			<view class="line"></view>
		</view>
		<scroll-view class="dy-scroll" @scrolltolower="scrolltolower" scroll-y :style="'top:'+sTop+'px;height:calc(100vh - '+totalHeight+'px)'">
			<view v-if="list.length>0" >
				<view class="dy-list">
					<view v-for="(item,index) of list" :key="index" :data-id="item.INSPECTION_ID" @click="$noMultipleClicks(goLookDetail,item.INSPECTION_ID)" class="dy-list-item p20">
						<view class="dy-title-flex align-center">
							<text>{{item.INSPECTION_SUBJECT}}现场安全检查记录</text>
						</view>
						<view class="dy-subtitle-flex">
							<text>
								检查状态：{{ translate(item.INSPECTION_STATUS) }}
							</text>
							<text>检查类型：{{item.INSPECTION_TYPE_NAME}}</text>
						</view>
						<view class="dy-subtitle-flex">
							<text>检查人：{{item.INSPECTION_USER_NAME}}</text>
							<text>检查发起人：{{item.INSPECTION_ORIGINATOR_NAME}}</text>
						</view>
						<view class="dy-subtitle-flex">
							<text>被检查人：{{item.INSPECTED_SITEUSER_NAME}}</text>
						</view>
						<view class="dy-subtitle-flex">
							<text>检查时间：{{item.INSPECTION_TIME_START}} 至 {{item.INSPECTION_TIME_END}}</text>
						</view>
						<view class="dy-subtitle-flex">
							<text>
                <button class="cu-btn bg-pink margin-tb-sm sm" @click="$noMultipleClicks(showFlowChart,item.INSPECTION_ID)">流程图</button>
              </text>
							<text v-if="item.INSPECTION_STATUS=='0' || item.INSPECTION_STATUS=='-1' || item.INSPECTION_STATUS=='-2'">
								<button v-if="item.INSPECTION_STATUS === '-1'" class="cu-btn bg-blue margin-tb-sm sm" @click="$noMultipleClicks(goToDetail,item.INSPECTION_ID)">编辑</button>
                <button style="margin-left: 10upx;" v-if="item.INSPECTION_STATUS === '-1'" class="cu-btn bg-blue margin-tb-sm sm" @click="$noMultipleClicks(goToShow,item.INSPECTION_ID)">查看</button>
								<button  v-if="item.INSPECTION_ORIGINATOR_ID == loginUserId && item.INSPECTION_STATUS == '-2'" class="cu-btn bg-blue margin-tb-sm sm" @click="$noMultipleClicks(goToplead,item.INSPECTION_ID)">申辩处理</button>
							</text>
						</view>
					</view>
				</view>
			</view>
			<view v-else-if="dataFlag=='noData'" class="dy-null">
				<view class="dy-null-img">
					<image :src="background[dataFlag].url" mode=""></image>
				</view>
				<view class="dy-null-title">
					{{background[dataFlag].msg}}
				</view>
			</view>
			<view class="cu-tabbar-height"></view>
		</scroll-view>
	</view>
</template>

<script>
	import {
		basePath,corpinfoId,loginSession,formatDate,loginUser,loginUserId
	} from '@/common/tool.js';
	import tkiTree from "@/components/select-tree/select-tree.vue"
	export default {
		components: {
			tkiTree
		},
		data() {
			return {
        loginUserId,
        showRight: false,
				dataFlag:'noData',
				sTop:0,
				totalHeight:0,
				list:[],//返回数据
				page:1,//分页参数--页数
				rows:10,//分页参数--每页数据条数
				totalCount:0,//分页参数--初始化页数
				isEnd:false,//防止多次刷新
				totalPage: 0, //分页参数--分页数量
				NameLikes : '',
				noClick:true,
				statusList:[
					{ id: '', name:'请选择'},
					{ id: '0', name:'待检查人核实'},
					{ id: '1', name:'检查人核实中'},
					{ id: '2', name:'待被检查人确认'},
					{ id: '3', name:'待指派'},
					{ id: '4', name: '指派中' },
					{ id: '5', name: '指派完成' },
					{ id: '6', name: '检查待验收' },
					{ id: '7', name: '检查已验收' },
					{ id: '8', name: '已归档' },
					{ id: '-1', name:'检查人核实打回'},
					{ id: '-2', name:'被检查人申辩'},
				],
				sindex:-1,
				STATUS:''
			}
		},
		onReady() {
			let that=this;
			let CustomBar = this.CustomBar;
			uni.getSystemInfo({ //调用uni-app接口获取屏幕高度
				success(res) { //成功回调函数
					let titleH=uni.createSelectorQuery().select(".top-fixed"); //想要获取高度的元素名（class/id）
					titleH.boundingClientRect(data=>{
						that._data.sTop=data.height  //计算高度：元素高度=窗口高度-元素距离顶部的距离（data.top）
						that.totalHeight = data.height+CustomBar
					}).exec()
				}
			})
		},
		onLoad() {//页面第一次加载时触发，从跳转页面返回时不能触发，可以传递参

		},
		onShow() {
			//页面显示或从后台跳回小程序时显示此页面时触发，从跳转页面返回时触发，不能传递参数
			var _this = this;
			_this.background = require('@/common/background.json');
			_this.showCount = -1;
			_this.currentPage = 1;
			_this.list = [];
			_this.isEnd = false;
			_this.getData();
			// _this.getDept();
			loginSession();
		},

		filters: {
			formatDate(time) {
				let date = new Date(time)
				return formatDate(date, 'yyyy-MM-dd')
			}
		},
		methods: {
			//跳转事件
			goToDetail(e) {
				uni.navigateTo({
					url: '/pages/application/safety-environmental-inspection/apply/detail?INSPECTION_ID='+e+'&TYPE=edit'
				});
			},
      goLookDetail(e) {
        uni.navigateTo({
          url: '/pages/application/safety-environmental-inspection/apply/detail?INSPECTION_ID='+e+'&TYPE=detail'
        });
      },
			goToShow(e) {
				uni.navigateTo({
					url: '/pages/application/safety-environmental-inspection/apply/show?INSPECTION_ID='+e
				});
			},
			goToAdd(){
				uni.navigateTo({
					url: '/pages/application/safety-environmental-inspection/apply/detail?TYPE=add'
				});
			},
			goToplead(e) {
				uni.navigateTo({
					url: '/pages/application/safety-environmental-inspection/apply/detail-plead?INSPECTION_ID='+e
				});
			},
			getQuery(){	//搜索按钮事件
				var _this = this;
				_this.showCount = -1;
				_this.currentPage = 1;
				_this.list = [];
				_this.isEnd = false;
				_this.getData();
			},
			InputBlur(e){
				this.NameLikes = e.detail.value
			},
			// 显示树形选择器
			showDeptTree() {
				// this.isUps=true
				this.$refs.tkiTree._show();
			},
			// 打开窗口
			showDrawer(e) {
				this.$refs[e].open()
			},
			// 关闭窗口
			closeDrawer(e) {
				this.$refs[e].close()
			},
			// 抽屉状态发生变化触发
			change(e, type) {
				this[type] = e
			},
			// 滑动到底方法
			scrolltolower(){
				var _this = this;
				_this.showCount = -1;
				_this.currentPage = _this.currentPage + 1;
				_this.isEnd = false;
				if(_this.totalPage >= _this.currentPage){
					_this.getData();//开始分页查询
				}
			},

			statusChange(e){
				this.sindex = e.detail.value;
				this.STATUS=this.statusList[this.sindex].id;
				this.getQuery();
			},
			getData(){
				var _this = this;
				if (_this.isEnd) {
					return
				}else{
					this.isEnd =true;
				}
				uni.showLoading({
					title:"加载中..."
				});//加载中动画
				uni.request({
					url: basePath +'/app/safetyenvironmental/list?showCount='+_this.showCount+'&currentPage='+_this.currentPage ,
					method: 'POST',
					dataType: 'json',
					header: {
						'Content-type':'application/x-www-form-urlencoded'
					},
					data: {
						CORPINFO_ID:corpinfoId,
						// INSPECTION_ORIGINATOR_ID:loginUser.USER_ID,
						INSPECTION_STATUS:_this.STATUS,
						tm:new Date().getTime(),
						KEYWORDS : _this.NameLikes, //关键字模糊查询
            roleLevel:loginUser.roleLevel,
            supDeparIds:loginUser.supDeparIds,
            loginUserId:loginUser.USER_ID
					},
					success: (res) => {
						uni.hideLoading();//结束加载中动画
						if (res.data != null) {
							_this.totalPage = res.data.page.totalPage;
							if(_this.list.length == 0){
								_this.list = res.data.varList;
							}else{
								if(res.data.varList != null){
									_this.list2 = res.data.varList;
									_this.list = _this.list.concat(_this.list2);
								}
							}
						}

					}
				})
			},
			handleDelete(id){
				var _this = this;
				uni.showModal({
					title: '',
					content: '确定要删除这条申请？',
					cancelColor:"#000000",
					cancelText: '取消',
					confirmText: '确定',
					success: res => {
						if (res.confirm) {
							uni.showLoading({
								title: '处理中'
							})
							uni.request({
								url: basePath+'/app/safetyenvironmental/delete',
								method: 'POST',
								dataType: 'json',
								header: {
									'Content-type':'application/x-www-form-urlencoded'
								},
								data: {
									INSPECTION_ID: id,
									OPERATOR:loginUser.USER_ID
								},
								success: (res) => {
									uni.hideLoading();
									uni.showToast({
										icon: 'none',
										title: '删除成功',
										duration: 1500
									});
									_this.getQuery()
								},
								fail: (err) => {
									uni.hideLoading();
									uni.showModal({
										content: err.errMsg,
										showCancel: false
									});
								}
							})
						}
					}
				})
			},
			translate(id) {
				for (var i = 0; i < this.statusList.length; i++) {
					if (this.statusList[i].id == id) return this.statusList[i].name
				}
			},
      showFlowChart(id) {
        uni.navigateTo({
          url: '/pages/application/safety-environmental-inspection/apply/flowChart?id='+id
        });
      },
		}
	}
</script>

<style>
	.dy-card {
		background-color: #fff;
		border-radius: 10upx;
		margin: 30upx
	}

	.dy-card-title {
		display: flex;
		justify-content: space-between;
		border-bottom: 1px solid #eee;
		min-height: 80upx;
		line-height: 80upx;
		padding: 0 30upx;
	}

	.dy-card-content {
		padding: 0upx 30upx 30upx;

	}

	.dy-card-content-item {
		margin-top: 20upx;
	}

	.dy-card-content-item .title {
		display: flex;
		align-items: center;
	}

	.dy-card-content-item .title .l {
		width: 10upx;
		height: 30upx;
		border-radius: 20upx;
		background-color: #666;
		margin-right: 10upx;
	}

	.dy-card-content-item .content {
		background-color: #F1F1F1;
		padding: 10upx 14upx;
		margin-top: 14upx;
		line-height: 1.6;
	}

	.dy-card-content-item .name text {
		background-color: #F1F1F1;
		padding: 10upx 14upx;
		margin-top: 14upx;
		line-height: 1.6;
		display: inline-block;
	}

	.dy-card-foot {
		border-top: 1px solid #eee;
		padding: 30upx;
	}
</style>
